Page MenuHomePhabricator

efl_ui_scrollbar_direction: replace with efl_ui_layout_orientation
ClosedPublic

Authored by YOhoho on Aug 18 2019, 6:43 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Aug 18 2019, 6:43 PM
YOhoho requested review of this revision.Aug 18 2019, 6:43 PM
zmike added a subscriber: zmike.Aug 19 2019, 6:12 AM

This seems like a good patch; my only issue is that conceptually "orientation" and "direction" are different. Do we care about this?

This idea is from T7924#137454. I also agree that orientation can be used for scrollbar axis.

segfaultxavi added a comment.EditedAug 19 2019, 8:09 AM
In D9612#178401, @zmike wrote:

This seems like a good patch; my only issue is that conceptually "orientation" and "direction" are different. Do we care about this?

Yes, we care. The scroll bar can be horizontal or vertical, hence orientation is a better description than direction, I think. It's not like there exist top-to-bottom or bottom-to-top scrollbars.

zmike accepted this revision.Aug 23 2019, 10:17 AM

Alright then

This revision is now accepted and ready to land.Aug 23 2019, 10:17 AM
Closed by commit rEFL6b3d430f1262: efl_ui_scrollbar_direction: replace with efl_ui_layout_orientation (authored by Yeongjong Lee <yj34.lee@samsung.com>, committed by zmike). · Explain WhyAug 23 2019, 10:38 AM
This revision was automatically updated to reflect the committed changes.